REST Documentation

View InboundXML Docs

View Recording

Recorded conferences or calls can be viewed using the REST API. All recordings are represented by the same resource type, regardless of whether initiated via InboundXML or the REST API.

Request URI

A single recording resource can be viewed using the HTTP GET method. The format of the URI used to make the GET request is below.

GET https://api.telapi.com/v1/Accounts/{AccountSid}/Recordings/{RecordingSid}

Resource Properties

The following properties are what a single recording resource is made up of.

Property Description
An alphanumeric string identifying this resource.
An alphanumeric string identifying the account this recording occurred through.
The sid identifying the recorded call.
Time of recording in seconds.
The date the recording resource was created.
The date the recording resource was last updated.
URL where .mp3 file of the recording is located.
The API version being used when the recording was made.
The Uniform Resource Identifier to this resource.

Example Response

An example of what a response to view recording request may look like is below.



Helper Example

Our helper libraries simplify the task of making REST API calls while programming. The code below will perform a request to TelAPI.